package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

public class MONITORENTER extends Instruction implements ExceptionThrower, StackConsumer {
   public MONITORENTER() {
      super((short)194, (short)1);
   }

   public void accept(Visitor v) {
      v.visitExceptionThrower(this);
      v.visitStackConsumer(this);
      v.visitMONITORENTER(this);
   }

   public Class<?>[] getExceptions() {
      return new Class[]{ExceptionConst.NULL_POINTER_EXCEPTION};
   }
}
